Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 252035 - sci-electronics/iverilog: pre-stripped files found
Summary: sci-electronics/iverilog: pre-stripped files found
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: The Soldering-Iron Brotherhood
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: prestripped 302500
  Show dependency tree
 
Reported: 2008-12-21 21:39 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-04-09 15:56 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Fix pre-stripped files (iverilog-0.8.6-r1.ebuild,1.07 KB, text/plain)
2009-03-15 17:51 UTC, Víctor Ostorga (RETIRED)
Details
Fix pre-stripped files in sci-electronics/iverilog/iverilog-0.8.6 (iverilog-0.8.6-r1.patch,892 bytes, patch)
2009-04-04 12:51 UTC, Víctor Ostorga (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-12-21 21:39:00 UTC
sci-electronics/iverilog-0.8.6:20081219-070828.log:  * QA Notice: Pre-stripped files found:
sci-electronics/iverilog-0.8.6:20081219-070828.log:  * /var/tmp/portage/sci-electronics/iverilog-0.8.6/image/usr/lib/ivl/system.vpi

Portage warns about pre-stripped files being installed into the image directory; this is a bad thing since it makes Portage's splitdebug feature useless, and it stops the users and the developers from looking into backtraces with full debug information available.

For the developers going to look into it, what you have to look out for, to
find what is stripping the files, is one of these conditions:

- explicit "strip" command run on the produced files;
- "install -s" command to install the binary files;
- "-Wl,-s" flag passed during linking

Remove the "strip" commands, remove the "-s" option at install, and remove
"-Wl,-s" and the problem should be gone.

Thanks,
Diego
Comment 1 Víctor Ostorga (RETIRED) gentoo-dev 2009-03-15 17:51:01 UTC
Created attachment 185101 [details]
Fix pre-stripped files

This ebuild fixes the QA:
* QA Notice: Pre-stripped files found
Comment 2 Víctor Ostorga (RETIRED) gentoo-dev 2009-04-04 12:51:45 UTC
Created attachment 187289 [details, diff]
Fix pre-stripped files in sci-electronics/iverilog/iverilog-0.8.6

Providing patch to make things clearer
Comment 3 Denis Dupeyron gentoo-dev 2009-07-12 06:25:11 UTC
This is now fixed in iverilog-0.9.1, but I'll keep this bug opened until we can stabilize it.

Denis.
Comment 4 Samuli Suominen gentoo-dev 2010-04-09 15:56:42 UTC
No such problem in 0.9.1:

>>> Completed installing iverilog-0.9.1 into /var/tmp/portage/sci-electronics/iverilog-0.9.1/image/

strip: x86_64-pc-linux-gnu-strip --strip-unneeded -R .comment
   usr/bin/vvp
   usr/bin/iverilog
   usr/lib64/ivl/cadpli.vpl
   usr/lib64/ivl/system.vpi
   usr/lib64/ivl/ivlpp
   usr/lib64/ivl/vhdl.tgt
   usr/lib64/ivl/v2005_math.vpi
   usr/lib64/ivl/va_math.vpi
   usr/lib64/ivl/vvp.tgt
   usr/lib64/ivl/ivl
   usr/lib64/ivl/null.tgt
   usr/lib64/ivl/stub.tgt
   usr/lib64/libvpi.a
   usr/lib64/libveriuser.a
ecompressdir: bzip2 -9 /usr/share/man

 * QA Notice: Package has poor programming practices which may compile
 *            fine but exhibit random runtime failures.
 * elaborate.cc:3446: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * vvp_net.h:693: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * vvp_net.h:693: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * vvp_net.h:693: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * vvp_net.h:693: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * vvp_net.h:693: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules
 * vvp_net.h:693: warning: dereferencing pointer ‘<anonymous>’ does break strict-aliasing rules

 * Please do not file a Gentoo bug and instead report the above QA
 * issues directly to the upstream developers of this software.
 * Homepage: http://www.icarus.com/eda/verilog/

>>> Installing (1 of 1) sci-electronics/iverilog-0.9.1